Ext.define('app.NativeLoader', {
	alternateClassName: 'NativeLoader',
	statics: {
		initNativeApp: function(callbackFunction){
			ASVari.aid = app_config_aid;
	    	
	    	Ext.apply(ASVari.RestParams, {aid: ASVari.aid, clientUuid: SettingsUtil.get('client_uuid')});  
	    	Net.statistic(ASVari.acd, ASVari.aid);
	    	
	    	ASVari.isFirstZip = false;  		
    		
    		Net.checkNetwork(onlineRequest, offlineRequest);
	    	
			callbackFunction();
		}
	}
});

var offlineRequest = function() {
	if (SettingsUtil.get('app_status') == 'AdminSuspend') {
		Util.showSuspendMsg();
		return;
	}
	
	isFirstTimeToRunZip();
	
	if (ASVari.isFirstZip) {
		console.log('Native -- offlineRequest, first time, get content from "app_config_packed_data"');		
		//OnDemandLoad.loadComponent('data-config.js', function(){
			var size = ASVari.ScreenSize.w > 320? '640': '320';
			SyncUtil.dataSyncRequestPass(eval('app_config_packed_data_' + size));
		//});
	} else {
		console.log('Native -- offlineRequest, not the first time');
	}		
	appInfoRequestPass(app_config_appInfo);
};

var onlineRequest = function() {
	if (SettingsUtil.get('app_status') == 'AdminSuspend') {
		Util.showSuspendMsg();
		return;
	}
	
	console.log('Native -- onlineRequest ');
	isFirstTimeToRunZip();
	appInfoRequestPass(app_config_appInfo);
};

var isFirstTimeToRunZip = function() {
	var appConfigPackVersion = SettingsUtil.get('app_config_packVersion');
	if (Util.isEmpty(app_config_packVersion) || appConfigPackVersion+0 < app_config_packVersion) {
		ASVari.isFirstZip = true;					
		SettingsUtil.set('app_config_packVersion', app_config_packVersion);
	}
};
